<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>Object Literals</title>
  <script type="text/javascript"> 
    var Car= {  // Create a Car object 
      make : undefined, 
      year : 2006, 
      price : undefined,
      
      owner : {
        name : "HenryLee",
        cell_phone : "222-222-2222",
        address : {
          street : "10Main",
          city : "SF",
          state : "CA"
        }
      },
      
      dealer : "SF Honda",
      
      display : function () {
        details="Make: "+Car.make+"\n"; 
        details += "Year: "+Car.year+"\n"; 
        details += "Price: $"+Car.price+"\n"; 
        details += "Owner: "+
        Car.owner.name+"\n"; 
        alert(details);
      }
    };
  </script>
</head>
<body>
  <script type="text/javascript">
    Car.make = "HondaCivic";// Assign value 
    Car.year = 2009;  // Update the year 
    Car.price = 30000;
    Car.display(); 
  </script>
</body>
</html>